%global pypi_name pytest-testmon

Name:           python-%{pypi_name}
Version:        0.8.1
Release:        1%{?dist}
Summary:        A py.test plug-in which executes only tests affected by recent changes
License:        MIT
URL:            https://github.com/tarpas/pytest-testmon/
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# https://github.com/tarpas/pytest-testmon/pull/38
Patch0:         %{name}-readme.patch
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
 
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
This is a py.test plug-in which automatically selects and re-
executes only tests affected by recent changes.

%package -n     python2-%{pypi_name}
Summary:        A py.test plug-in which executes only tests affected by recent changes
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python-pytest >= 2.7.0
Requires:       python-pytest < 3
Requires:       python-coverage >= 4
Requires:       python-setuptools
%description -n python2-%{pypi_name}
This is a py.test plug-in which automatically selects and re-
executes only tests affected by recent changes.

This a Python 2 version of the package.

%package -n     python3-%{pypi_name}
Summary:        A py.test plug-in which executes only tests affected by recent changes
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3-pytest >= 2.7.0
Requires:       python3-pytest < 3
Requires:       python3-coverage >= 4
Requires:       python3-setuptools
%description -n python3-%{pypi_name}
This is a py.test plug-in which automatically selects and re-
executes only tests affected by recent changes.

This a Python 3 version of the package.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install


%files -n python2-%{pypi_name} 
%doc README.rst
%{python2_sitelib}/testmon
%{python2_sitelib}/pytest_testmon-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name} 
%doc README.rst
%{python3_sitelib}/testmon
%{python3_sitelib}/pytest_testmon-%{version}-py?.?.egg-info

%changelog
* Fri Mar 11 2016 Miro Hrončok <mhroncok@redhat.com> - 0.8.1-1
- Initial package
